Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Maintainer(s)

ADAMK, AUDREYT, AUTRIJUS, BINGOS, ETHER, INGY, ISHIGAKI, Jesse, PJF

Bugs

ID Subject Status Severity Last Updated Broken in Fixed in
83743 creates distro with wrong file permissions open Normal 8 months ago 1.06
86279 Module::Install::PAR unnecessarily rebuilds .par on every make run new Normal 10 months ago 1.06
86120 Ensure archlib exists on local::lib setup time new 10 months ago
85008 Subroutine...redefined messages during build open 11 months ago
84783 Standalone open 12 months ago
84272 Translate test_requires() to TEST_REQUIRES new 1 years ago
83731 too many braces in Makefile new Normal 1 years ago 1.06
83729 DIRFILESEP is wrong on Windows 7 new Normal 1 years ago 1.06
76035 Implicit strictures cause back-compat problems open 1 years ago
81331 Support for advanced version ranges open Wishlist 1 years ago
79858 [PATCH] build help for VMS new Important 2 years ago 1.06
79272 (No subject) new Normal 2 years ago
79242 Full metadata not passed to ExtUtils::MakeMaker new Important 2 years ago 1.06
78269 one-line fix for `use 5.010' new 2 years ago
77799 include() should do implicit requires() new Normal 2 years ago 1.06
77695 Module::Install should not use XS modules new Important 2 years ago
77649 t/22_installdirs.t fails with $ENV{PERL_MM_OPT}='INSTALLDIRS=vendor' [PATCH] new Normal 2 years ago 1.06
77355 Module::Install::Share missing 'module' switch documentation new Normal 2 years ago 1.06
77284 Possible fix for "unrecognized argument in LIBS ignored: 'ARRAY(0x9367030)'" new 2 years ago 1.06
76074 Module::AutoInstall breaks given makemakers args new Normal 2 years ago 1.06
5528 Sub-directory builds don't work open Important 2 years ago 0.31
75332 MI Encourages users to use the nonstandard "gpl2" when it should be "gpl_2" new Important 2 years ago 1.04
73868 [PATCH] Module::Install::Bundle improvements open 2 years ago 1.04
71968 Module::Install::PAR runs my test suite new Normal 2 years ago 1.02
71565 Module::Install::Admin::Scandeps broken for Perl 5.010 new Important 3 years ago 1.02
70909 GPL version not parsed new 3 years ago 1.01
70621 Support for multiple authors new 3 years ago 1.01
70306 POD to README in the build process new Wishlist 3 years ago
51055 10% of all Module::Install-driven CPAN dists have wrong version in META.yml open Critical 3 years ago 0.91
68348 optionaly required modules inlisted in META.yml depending on author's system open 3 years ago
67506 Module::Install::Compiler::cc_lib_links ? new Normal 3 years ago 1.00
66300 can_use() does not work with Module::Install::Catalyst new Normal 3 years ago 1.00
66238 api_version new Wishlist 3 years ago
65504 install_share as two different users, where the second user is not root fails new Normal 3 years ago 1.00
65266 checkdeps/installdeps rules missing new Normal 3 years ago 1.00
64214 Require one out of several dependencies open Wishlist 3 years ago 1.00
63554 Module-level share is not documented in SYNOPSIS open Important 3 years ago 1.00
63454 Devel::Cover as a dependency causes CPANPLUS grief (if already present) open Normal 3 years ago 1.00
62348 Module::Install::_cmp is a function, not a method new Normal 3 years ago 0.82
0.83
0.84
0.85
0.86
0.87
0.88
0.89
0.90
0.91
0.92
0.93
0.94
0.95
0.96
0.97
0.98
0.99
1.00
62345 Left-over $DB::single new Unimportant 3 years ago 0.93
0.94
0.95
0.96
0.97
0.98
0.99
1.00
62344 t/lib/Test.pm: run_makefile_pl return value new Unimportant 3 years ago 1.00
58518 False Positive! Module::Install only supports 5.005 or newer Failure open Critical 4 years ago 0.99
60432 Bundled module's Makefile.PL ignored if Build.PL is present open Critical 4 years ago 0.96
0.97
0.98
0.99
1.00
60609 all_from ignores explicitly stated subsets open Wishlist 4 years ago
60435 Bundled modules are not installed open Critical 4 years ago 1.00
60395 missing dependency on CPANPLUS::Backend new Important 4 years ago 1.00
59857 Module::Install::Admin is not cpantesters-friendly new Important 4 years ago 1.00
59495 subs from uninstalled plugins fail with surprising compilation error. new 4 years ago
38050 auto_install fails on local non-root installs open Important 4 years ago
56458 Alarming errors when a download method fails new 4 years ago
47020 bundle doesn't find modules injected via cpaninject open Normal 4 years ago
56090 parameter validation new Normal 4 years ago
55132 "make install" doesn't honor MANIFEST.SKIP open Normal 4 years ago 0.94
22809 Add support for EUMM style PREREQ_FATAL stalled Wishlist 4 years ago 0.64
50745 install_bin like install_script new Wishlist 4 years ago
44197 Module::AutoInstall throws you into CPAN.pm configuration open 5 years ago
18219 Interactions between inc/Module/Install and installed Module::Install open Critical 5 years ago 0.52
0.59
35619 Missing a reference to the end user aspects new Wishlist 6 years ago 0.72
34167 Put Build.PL support back open Wishlist 6 years ago 0.69
30382 Don't continue after errors, without confirmation open 6 years ago
23735 Patch against CPAN.pm batch jobs going into recursion open Normal 7 years ago 0.64
21143 Module::AutoInstall does stuff upon being required. new Unimportant 8 years ago 0.63
21061 M::I spawns CPAN.pm when run under CPANPLUS for AutoInstall open Important 8 years ago 0.63
19051 autogenerate MANIFEST new Wishlist 8 years ago
18544 Notify list for Module::Install updates open Wishlist 8 years ago
16794 PREFIX is ignored for dependicies new Important 8 years ago
11579 Prefix new make targets to avoid MakeMaker conflicts. new Unimportant 9 years ago

This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.